body, input, button {
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.head_bar {
    padding: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: grey;
    color: white;
}

.head_bar .logo {
    display: flex;
    align-items: center;
}

.head_bar .logo img {
    width: 50px; /* Adjust the width as needed */
    margin-right: 15px; /* Adjust the spacing as needed */
    border-radius: 50%;
}

.head_bar__title {
    margin: 0; /* Reset margin for the title */
}


main {
    max-width: 800px;
    width: 80%;
    margin: 0 auto;
    padding: 16px;
}

.input_section {
    display: flex;
    flex-direction: column;
    padding: 16px;
    border: 1px solid black;
    border-radius: 10px;
}

.input_section > h2 {
    text-align: center;
    color: grey;
}

.input_section > form > .input {
    margin: 8px 0;
}

.input_section > form > button {
    background-color: grey;
    color: white;
    border: 0;
    border-radius: 5px;
    display: block;
    width: 100%;
    padding: 8px;
    cursor: pointer;
}

.input_section > form > button > span {
    font-weight: bold;
}

.input_section > form > .input > input {
    display: block;
    width: 100%;
    padding: 8px;
    border-radius: 5px;
}

.input_section > form > .input > label {
    color: grey;
    font-weight: bold;
}

.input_section > form > .input_inline {
    margin: 12px 0;
    display: flex;
    align-items: center;
}

.input_section > form > .input_inline > label {
    color: grey;
    font-weight: bold;
    margin-right: 10px;
}

.search_section {
    margin: 16px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 16px;
    border: 1px solid black;
    border-radius: 10px;
}

.search_section > h2 {
    color: grey;
}

.search_section > form {
    padding: 16px;
    width: 100%;
    display: grid;
    grid-template-columns: auto 1fr 0.5fr;
    grid-gap: 10px;
}

.search_section > form > label {
    display: flex;
    align-items: center;
}

.search_section > form > input {
    padding: 5px;
    border-radius: 5px;
}

.search_section > form > button {
    background-color: grey;
    color: white;
    border: 0;
    border-radius: 5px;
    cursor: pointer;
}

.book_shelf {
    margin: 16px 0 0 0;
    border: 1px solid black;
    padding: 16px;
    border-radius: 10px;
}

.book_shelf > h2 {
    color: grey;
}

.book_shelf > .book_list {
    padding: 16px;
}

.book_shelf > .book_list > .book_item {
    padding: 8px 16px 16px 16px;
    border: 1px solid black;
    border-radius: 5px;
    margin: 10px 0;
}

.book_shelf > .book_list > .book_item > h3, p {
    margin: 8px 0;
}

.book_shelf > .book_list > .book_item > .action > button {
    border: 0;
    padding: 5px;
    margin: 0 5px 0 0;
    border-radius: 5px;
    cursor: pointer;
}

.book_shelf > .book_list > .book_item > .action > .green {
    background-color: darkgreen;
    color: white;
}

.book_shelf > .book_list > .book_item > .action > .red {
    background-color: darkred;
    color: white;
}

.additional_features {
    margin-top: 20px;
    text-align: center;
}

.additional_features > button {
    display: inline-block;
    margin: 10px;
    padding: 10px 20px;
    background-color: darkred;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
}

.additional_features > button:hover {
    background-color: crimson;
}

@media only screen and (max-width: 768px) {
    main {
        width: 90%;
    }

    .search_section > form {
        grid-template-columns: 1fr;
    }
}
